org.xlattice.crypto.filters

## Class KeySelector.GenericBitSelector

- java.lang.Object
- - org.xlattice.crypto.filters.KeySelector.GenericBitSelector

All Implemented Interfaces:
  KeySelector.BitSelector

Enclosing class:
  KeySelector

    public class KeySelector.GenericBitSelector
    extends Object
    implements KeySelector.BitSelector

Extracts the k bit offsets from a key, suitable for general values of m and k.

### Constructor Summary

Constructors
Constructor and Description
`KeySelector.GenericBitSelector()`

### Method Summary

Methods
`void` `getBitSelectors()` Do the extraction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeySelector.GenericBitSelector

    public KeySelector.GenericBitSelector()

### Method Detail

#### getBitSelectors

    public void getBitSelectors()

Do the extraction

Specified by:
  `getBitSelectors` in interface `KeySelector.BitSelector`